library music;

uses
  uFMOD in 'uFMOD.pp';

function PlayMusic(FileName: PAnsiChar): Integer; stdcall;
begin
  PlayMusic := Integer(uFMOD_PlaySong(FileName, 0, XM_FILE or XM_SUSPENDED));
  if PlayMusic <> 0 then
    uFMOD_Resume;
end;

{//  [0..100]
procedure SetVolume(Volume: Integer); stdcall;
begin
  uFMOD_SetVolume((100 * uFMOD_MIN_VOL + Volume * uFMOD_MAX_VOL) div 100);
end;}

exports
  PlayMusic;

begin
end.
